CreativesSearch Creatives

Search Creatives

Search creatives in a project by name, for use in the campaign creative-linking picker.

curl -X GET "https://api.5centscdn.com/v2/ad-manager/101/creatives/search?q=summer-30s" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "creatives": [
    {
      "id": "crv_9a71",
      "name": "Summer 30s Spot",
      "creative_type": "media_file",
      "duration_seconds": 30
    }
  ]
}
GET
/ad-manager/{pid}/creatives/search
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
pidinteger
Required

ID of the Ad Manager project.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

pidinteger
Required

ID of the Ad Manager project.

Example:
101

Query Parameters

qstring
Example:
summer-30s

Responses

resultstring

Operation outcome.

Allowed values:successerror
creativesarray